* Requisiti: apache (o altro web server, ma per ora le istruzioni qui sono per apache) con mod_rewrite abilitato; php7 (cli e "per apache") con estensioni mysqli, mb_string, pcntl; mariadb (dovrebbe funzionare anche con mysql, ma non l'ho testato).

* Php dovrebbe essere configurato con un limite di memoria usabile abbastanza alto: 1 gb («memory_limit=1G») dovrebbe andar bene. Serve per «mustard/crawler/peerscrawl.php», il crawler che recupera ricorsivamente un bel po' di istanze, al momento circa 21.000, arrivando a usare un picco di 711 mb. (Delle istanze recuperate da «peerscrawl.php» solo circa 3.000 finiscono poi effettivamente nel database: per tantissime l'endpoint \[dominio\]/api/v1/instance poi non risponde, o perché l'istanza è morta o giù, o perché non si tratta di istanza mastodon, o perché l'endpoint è disabilitato, o per varie ed eventuali).

* Se si vuole provare la funzione di invio delle mail di invito agli admin delle istanze, php deve essere configurato in modo che sia in grado di inviare mail dall'indirizzo email "mittente" definibile impostando la variabile «ref_email» in «mustard/sec/mustard.ini». Inoltre: per favore, sempre in «mustard/sec/mustard.ini», cambia il valore della variabile «mail_test_address» (attualmente impostato a un indirizzo email mio), impostando un tuo indirizzo email valido (presso cui sarai tu a ricevere le mail di invito, invece delle admin delle istanze) e NON impostarla a stringa vuota o a false, in modo da NON inviare inviti reali (il tutto è spiegato, spero meglio, nei commenti in «mustard/sec/mustard.ini»).

* Le istruzioni in questo paragrafo riguardano un'installazione sotto apache; sotto nginx o altri webserver dovrebbe trattarsi di adeguarle. Se hai installato mastostart nella DocumentRoot di apache o di un virtualhost definito in apache bona lè, sei già a posto; se invece l'hai installato in una sottodirectory della DocumentRoot (per esempio «\[DocumentRoot\]/mastostart»), imposta al percorso della sottodirectory la variabile «instpath» in «mastostart.ini» (per esempio «instpath="/mastostart"») e la direttiva «RewriteBase» in «.htaccess» (per esempio «RewriteBase "/mastostart").

* Per quanto riguarda l'installazione di Mustard, importa in mariadb o mysql il dump sql «mastostart_struttura_e_dati_pro_installazione.sql.gz» che trovi nella directory «mustard/zzz-materiali/». Edita il file di configurazione commentato «mustard/sec/mustard.ini». Crea un “superadmin” per poter entrare in mustard lanciando «php addsuperadmin.php» dalla directory «mustard/tools/».

* Per quanto riguarda il crawler che crea/aggiorna i dati relativi alle istanze nel database, si tratta di farne girare i due componenti uno dopo l'altro, la prima volta magari da shell, poi con un cron job (quotidiano? settimanale?). Per farlo è sufficiente lanciare lo script «crawl.sh» che si trova nella directory «mustard/crawler».
